> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a rejection for an application

> Create a rejection for an application by its ID.



## OpenAPI

````yaml /openapi-private.json post /applications/{id}/rejections
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /applications/{id}/rejections:
    post:
      tags:
        - Applications
      summary: Create a rejection for an application
      description: Create a rejection for an application by its ID.
      operationId: rejectApplication
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RejectApplicationDto'
      responses:
        '201':
          description: Rejection created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdDto'
        '400':
          description: Bad request - invalid fields
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '404':
          description: Application not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    RejectApplicationDto:
      type: object
      properties:
        reason:
          anyOf:
            - type: string
            - type: 'null'
        rejectedBy:
          type: string
          enum:
            - CLIENT
            - USER
            - CANDIDATE
      required:
        - reason
      id: PrivateRejectApplicationDto
    IdDto:
      type: object
      properties:
        id:
          type: string
          minLength: 1
      required:
        - id
      id: IdDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````